GNU bug report logs - #60919
[PATCH 20/25] gnu: Add go-golang-org-x-vuln.

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: Katherine Cox-Buday <cox.katherine.e@HIDDEN>; Keywords: patch; merged with #60898, #60899, #60900, #60901, #60902, #60903, #60904, #60905, #60906, #60907, #60908, #60909, #60910, #60911, #60912, #60913, #60914, #60915, #60916, #60917, #60918, #60920, #60921, #60922; dated Wed, 18 Jan 2023 01:46:16 UTC; Maintainer for guix-patches is guix-patches@HIDDEN.
Merged 60898 60899 60900 60901 60902 60903 60904 60905 60906 60907 60908 60909 60910 60911 60912 60913 60914 60915 60916 60917 60918 60919 60920 60921 60922. Request was from Katherine Cox-Buday <cox.katherine.e@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 60898 60899 60900 60901 60902 60903 60904 60905 60906 60907 60908 60909 60910 60911 60912 60913 60914 60915 60916 60917 60918 60919 60920 60921 60922. Request was from Tobias Geerinckx-Rice <me@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Merged 60898 60899 60900 60901 60902 60903 60904 60905 60906 60907 60908 60909 60910 60911 60912 60913 60914 60915 60916 60917 60918 60919 60920. Request was from Tobias Geerinckx-Rice <me@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 18 Jan 2023 01:45:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Jan 17 20:45:58 2023
Received: from localhost ([127.0.0.1]:38647 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1pHxWX-0007Xz-LE
	for submit <at> debbugs.gnu.org; Tue, 17 Jan 2023 20:45:57 -0500
Received: from lists.gnu.org ([209.51.188.17]:44524)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <cox.katherine.e@HIDDEN>) id 1pHxW7-0007Vb-Ou
 for submit <at> debbugs.gnu.org; Tue, 17 Jan 2023 20:45:32 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10])
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <cox.katherine.e@HIDDEN>)
 id 1pHxW5-0002AJ-Tb
 for guix-patches@HIDDEN; Tue, 17 Jan 2023 20:45:30 -0500
Received: from mail-il1-x132.google.com ([2607:f8b0:4864:20::132])
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <cox.katherine.e@HIDDEN>)
 id 1pHxW3-0006vf-Iu
 for guix-patches@HIDDEN; Tue, 17 Jan 2023 20:45:29 -0500
Received: by mail-il1-x132.google.com with SMTP id w2so2691734ilg.1
 for <guix-patches@HIDDEN>; Tue, 17 Jan 2023 17:45:27 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:from:to:cc:subject:date
 :message-id:reply-to;
 bh=+k7lSS8vs042snpRCGRjWGR/z20gj4zBiPoIfadqDTc=;
 b=iMMftCQmGmYeoxSvYJ8IC54YQaYui2P1z94ITSZ4YBCDDAMDeFaLJ0ThRM9hIHEfuA
 f70mfhmZ+0x8MVIL1RwAOf0i2+FLSWPSQkQUFT7KDJ5Y3gLQcm9Gz1wh47knd4JgJzlN
 e1H5KgQ/5epvksrEjo04spXm/qGbqlHcNcD+3jbkNZB96CNUoa5dWjb9DHew5Wfo6mlS
 xq8DKdBMcphBSZM6zayd5nbmRVsm8hCy2RPTIaRnPYtr0uoT1LqD8zMFUspy4TMOef0H
 MAzUJ7r8+TFkB3sM2Ah5XYVObVI0PgUiAA4jizpmtj1Em9HH9BmP0MjDXm4+wwB1GoTj
 ourg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=content-transfer-encoding:mime-version:references:in-reply-to
 :message-id:date:subject:cc:to:from:x-gm-message-state:from:to:cc
 :subject:date:message-id:reply-to;
 bh=+k7lSS8vs042snpRCGRjWGR/z20gj4zBiPoIfadqDTc=;
 b=YadTDjZ9g10nwaIAzQD459MM89PXriSeVSMDlwOHd46Qcq59rZAR21oMeHVqQG0w2k
 YweyArpmY0LEIQSmk9nNZALS6zqcAlCvd3C+zI1P5cfi3Yco+kwti567nEEtFq2eI49e
 r2i1fdqcteQ4GJEQa9VhIe56+XauixvX5TX8vmXP1bLTXNvNNJZtITSODO9s+JCN5gBQ
 wIYXMSVJCG3HuJbXkL49D85OPulrz2O8TyVfKpVUOmGlR91jrnbNs5vgBRi/td/svFmT
 YjNgn4mtXTg1ma2S/PgDyujaCGagmFhz9z0MSaiGvBk0/VoRFnmsaC6V3A3lE4PhHgSv
 9mGQ==
X-Gm-Message-State: AFqh2kruHda79dXssbbG3gyqCS0DhVfPD+DV9iDJeB0t6edhmJOq6N+e
 hxZDoePAARINcKsN+4y/NDRH8zIJEKQ=
X-Google-Smtp-Source: AMrXdXsBVeyrM7la/XRoR+4hHKCHcaNL/6xdOaK+IuIFDEksKml/WSEpNpDuJsSbPTRBv0s570l+AA==
X-Received: by 2002:a05:6e02:12e8:b0:305:ef92:6480 with SMTP id
 l8-20020a056e0212e800b00305ef926480mr4877331iln.27.1674006326924; 
 Tue, 17 Jan 2023 17:45:26 -0800 (PST)
Received: from washu-v4.home.cox-buday.com
 (c-174-51-139-101.hsd1.co.comcast.net. [174.51.139.101])
 by smtp.gmail.com with ESMTPSA id
 p32-20020a056638192000b0039e89ea68f9sm7889250jal.135.2023.01.17.17.45.26
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Tue, 17 Jan 2023 17:45:26 -0800 (PST)
From: Katherine Cox-Buday <cox.katherine.e@HIDDEN>
To: guix-patches@HIDDEN
Subject: [PATCH 20/25] gnu: Add go-golang-org-x-vuln.
Date: Tue, 17 Jan 2023 18:45:05 -0700
Message-Id: <20230118014510.19320-21-cox.katherine.e@HIDDEN>
X-Mailer: git-send-email 2.38.1
In-Reply-To: <20230118014510.19320-1-cox.katherine.e@HIDDEN>
References: <20230118014510.19320-1-cox.katherine.e@HIDDEN>
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
Received-SPF: pass client-ip=2607:f8b0:4864:20::132;
 envelope-from=cox.katherine.e@HIDDEN; helo=mail-il1-x132.google.com
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FROM=0.001,
 RCVD_IN_DNSWL_NONE=-0.0001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
Cc: Katherine Cox-Buday <cox.katherine.e@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

* gnu/packages/golang.scm (go-golang-org-x-vuln): New variable.
---
 gnu/packages/golang.scm | 14 ++++++++++++++
 1 file changed, 14 insertions(+)

diff --git a/gnu/packages/golang.scm b/gnu/packages/golang.scm
index f135b2717f..26cd636c64 100644
--- a/gnu/packages/golang.scm
+++ b/gnu/packages/golang.scm
@@ -3007,6 +3007,20 @@ (define-public govulncheck
 following:")
     (license license:bsd-3)))
 
+(define-public go-golang-org-x-vuln
+  (package
+    (inherit govulncheck)
+    (name "go-golang-org-x-vuln")
+    (arguments
+     `(#:import-path "golang.org/x/vuln"
+       #:tests? #f
+       #:install-source? #t
+       #:phases (modify-phases %standard-phases
+                  (delete 'build))))
+    (propagated-inputs (package-inputs govulncheck))
+    (native-inputs '())
+    (inputs '())))
+
 (define-public go-github-com-protonmail-go-crypto
   (package
     (name "go-github-com-protonmail-go-crypto")
-- 
2.38.1





Acknowledgement sent to Katherine Cox-Buday <cox.katherine.e@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#60919; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 18 Jan 2023 17:15:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.